Package oracle.sql.json

## Interface OracleJsonDecimal

All Superinterfaces:
  `OracleJsonNumber`, `OracleJsonValue`

    public interface OracleJsonDecimal
    extends OracleJsonNumber

A SQL/JSON fixed decimal value. Values are commonly backed by SQL NUMBER type and may only support up to 38 digits of precision.

### Nested Class Summary

Nested Classes
`static class` `OracleJsonDecimal.TargetType` Marker indicating if this value is intended to be mapped to Java int, long, or BigDecimal/BigInteger.

### Nested classes/interfaces inherited from interface oracle.sql.json.OracleJsonValue

`OracleJsonValue.OracleJsonType`

### Field Summary

### Fields inherited from interface oracle.sql.json.OracleJsonValue

`FALSE, NULL, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals​(java.lang.Object obj)` Compares the specified object with this `OracleJsonDecimal`.
`NUMBER` `getNUMBER()` Returns this binary value as a `oracle.sql.NUMBER`
`OracleJsonDecimal.TargetType` `getTargetType()` Indicates if this value is intended to be stored in a Java int, long, or BigDecimal/BigInteger.
`int` `hashCode()` Returns a hash code equal to `this bigDecimalValue().hashCode()`.

### Methods inherited from interface oracle.sql.json.OracleJsonNumber

`bigDecimalValue, bigIntegerValue, bigIntegerValueExact, doubleValue, floatValue, intValue, intValueExact, isIntegral, longValue, longValueExact`

### Methods inherited from interface oracle.sql.json.OracleJsonValue

`asJsonArray, asJsonBinary, asJsonDate, asJsonDecimal, asJsonDouble, asJsonFloat, asJsonIntervalDS, asJsonIntervalYM, asJsonNumber, asJsonObject, asJsonString, asJsonTimestamp, asJsonTimestampTZ, getOracleJsonType, toString, wrap`

### Method Detail

#### getNUMBER

    NUMBER getNUMBER()

Returns this binary value as a `oracle.sql.NUMBER`

Returns:
  the binary value
Throws:
  `java.lang.UnsupportedOperationException` - if this value can not be mapped to `oracle.sql.NUMBER`

#### hashCode

    int hashCode()

Returns a hash code equal to `this bigDecimalValue().hashCode()`.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hash code

#### equals

    boolean equals​(java.lang.Object obj)

Compares the specified object with this `OracleJsonDecimal`. Returns true if and only if the other object is an instance of `OracleJsonDecimal` and the result of calling `bigDecimalValue().equals(((OracleJsonDecimal)obj).bigDecimalValue()))` returns true.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to be compared for equality
Returns:
  true if the specified object is equal to this `OracleJsonBinary`.

#### getTargetType

    OracleJsonDecimal.TargetType getTargetType()

Indicates if this value is intended to be stored in a Java int, long, or BigDecimal/BigInteger. This value is determined by the method that created this value such as `OracleJsonGenerator.write(int)` and `OracleJsonFactory.createDecimal(int)`.

Returns:
  the target type or null if not specified.